Page MenuHomePhabricator

Re-enable VisualEditor by default for logged-in users on the English Wikipedia, exempting anyone who's ever edited
Closed, ResolvedPublic40 Story Points

Description

Thresholds for pre-opted-out users:

  • Have an account, and
  • Have made at least 1 edit.

This will mean the tab where you can switch VE on or off for your account will change in the Preferences screen.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedKrenair
OpenNone
ResolvedJdforrester-WMF
Resolvedmobrovac
Resolvedmobrovac
Resolved AlexMonk-WMF
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
DeclinedWhatamidoing-WMF
ResolvedKrenair
ResolvedKrenair
InvalidKrinkle
ResolvedKrenair
ResolvedKrenair
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedElitre
ResolvedTgr
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
OpenJdforrester-WMF
Resolved AlexMonk-WMF
DeclinedNone
OpenEsanders
OpenNone
ResolvedJdforrester-WMF
Resolveddchen
ResolvedCapt_Swing
ResolvedJdforrester-WMF
ResolvedCapt_Swing
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
ResolvedPginer-WMF
ResolvedWhatamidoing-WMF
ResolvedEsanders
InvalidNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
DuplicateNone
OpenNone
OpenNone
ResolvedEsanders
ResolvedEsanders
ResolvedWhatamidoing-WMF
ResolvedEsanders
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
ResolvedEsanders
ResolvedEsanders
OpenNone
OpenNone
ResolvedDLynch
ResolvedDLynch
ResolvedEsanders
ResolvedSchnark
OpenNone
ResolvedJdforrester-WMF
ResolvedEsanders
Resolvedmatmarex
ResolvedJdforrester-WMF
ResolvedNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
OpenNone
DuplicateNone
ResolvedJdforrester-WMF
DeclinedNone
DeclinedNone
ResolvedJdforrester-WMF
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
Resolved AlexMonk-WMF
OpenNone

Event Timeline

Jdforrester-WMF claimed this task.
Jdforrester-WMF raised the priority of this task from to Needs Triage.
Jdforrester-WMF updated the task description. (Show Details)
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 11 2015, 11:04 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptSep 11 2015, 11:04 PM
Jdforrester-WMF renamed this task from Re-enable VisualEditor by default for all logged-in users of the English Wikipedia, exempting some users to Re-enable VisualEditor by default for logged-in users on the English Wikipedia, exempting anyone who's ever edited.Sep 28 2015, 6:14 PM
Jdforrester-WMF updated the task description. (Show Details)

Change 242041 had a related patch set uploaded (by Jforrester):
VisualEditor: Switch to opt-out for English Wikipedia logged-in users only

https://gerrit.wikimedia.org/r/242041

Exemption preference script is running against production enwiki in a screen on tin.

Elitre mentioned this in Unknown Object (Task).Oct 5 2015, 2:48 PM

Exemption script completed, this should be good to go

Change 242041 merged by jenkins-bot:
VisualEditor: Switch to opt-out for English Wikipedia logged-in users only

https://gerrit.wikimedia.org/r/242041

Jdforrester-WMF closed this task as Resolved.Oct 7 2015, 3:09 PM

Now complete.